View Issue Details

IDProjectCategoryView StatusLast Update
0006114GNUnetintegration testspublic2021-07-31 10:58
Reportertanguy Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status feedbackResolutionopen 
Platformx86_64OSGuix SystemOS Version944b1d0
Product VersionGit master 
Target Version0.15.1 
Summary0006114: Tests failing on Guix System
DescriptionTo update GNUnet package from 0.11.8 to 0.12.2, I had to disable several tests. Those are:
  - src/cadet/Makefile
    * test_cadet_2_reopen
    * test_cadet_5_forward
    * test_cadet_5_signal
    * test_cadet_5_keepalive
    * test_cadet_5_speed
    * test_cadet_5_speed_ack
    * test_cadet_5_speed_reliable
    * test_cadet_5_speed_reliable_backwards
    * test_cadet_5_speed_backwards
    * test_cadet_5_reopen
  - src/transport/Makefile
    * test_transport_api_https
    * test_transport_blacklisting_multiple_plugins
  - src/testbed/Makefile
    * test_testbed_api_2peers_1controller
    * test_testbed_api_test
    * test_testbed_api_statistics
    * test_testbed_api_topology
    * test_testbed_api_topology_clique

I'm attaching the full log.

Some tests where already disabled for version 0.11.8:
  - src/transport/Makefile
    * test_transport_api_manipulation_cfg
    * test_transport_api_udp_nat
  - src/topology/Makefile
    * test_gnunet_daemon_topology
  - src/namestore/Makefile
    * am__append_2
  - src/gns/Makefile
    * am__append_4
  - contrib/Makefile
    * check_PROGRAMS.*

Those I didn't try to re-enable, so I don't have any log.
Steps To ReproduceGet latest Guix sources: https://guix.gnu.org/cookbook/en/guix-cookbook.html#Direct-checkout-hacking
Apply GNUnet 0.12.2 patch: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39673
Build: $ ./pre-inst-env guix build --keep-failed gnunet
Additional Informationmy_gnunet_bugreport.log

I had to complete it manually because gnunet-bugreport does not really work well on Guix System.


    INFO: gnunet-bugreport 0.11.0
    INFO:
    INFO: Please submit the following
    INFO: information with your bug report:
    =========================================
    INFO: OS : Linux
    INFO: OS RELEASE : 5.4.18-gnu
    INFO: HARDWARE : x86_64
    INFO: awk : 5.0.1
    INFO: gcc :
    INFO: cc :
    INFO: c++ :
    INFO: clang :
    INFO: clang++ :
    WARNING: make : Not Found (unexpected result)
    INFO: gmake :
    INFO: automake : 1.16.1
    INFO: libtool : 2.4.6
    WARNING: libextractor : 1.9
    INFO: GNUnet 0.8 : Not Found (good)
    INFO: GNUnet : 0.12.2
    INFO: git commit :
    INFO: libgcrypt : 1.8.4
    INFO: mysql :
    INFO: pkg-config : 0.29.2
    INFO: glib2 : 2.60.6
    INFO: GTK2 : 2.24.32
    INFO: GTK3 : 3.24.13
    INFO: GTK4 :
    ERROR: GMP : 6.1.2
    ERROR: libunistring : 0.9.10
    INFO: GNU gettext : 0.20.1
    INFO: gettext : 0.20.1
    INFO: libcurl : 7.65.3
    INFO: libgnurl : 7.67.0
    INFO: libmicrohttpd : 0.9.70
    INFO: GNU GLPK : 4.65
    INFO: GnuTLS : 3.6.9
    =========================================
    INFO: Bug report saved in ./my_gnunet_bugreport.log
Tagstng

Relationships

related to 0005894 acknowledged configure time option to optionally replace localhost with whatever is provided in numbers 
related to 0005893 acknowledgedschanzen replace /tmp in src and elsewhere with something like GNUNET_TMP, again 
related to 0005710 confirmed TNG meta issue 

Activities

tanguy

2020-03-06 10:05

reporter  

schanzen

2020-04-24 10:32

manager   ~0015778

Is this patch applied yet?

nikita

2020-04-29 11:59

developer   ~0015800

Last edited: 2020-04-29 12:09

What patch? I only see a build directory or what I assume is one (.drv.bz is a compressed log file (thanks Ricardo)) and the guix bugtracker holds no patch to fix this.
tanguy: It is very likely you run into a similar problem like Nix: https://github.com/NixOS/nixpkgs/issues/73793

nikita

2020-04-29 12:06

developer   ~0015801

> I had to complete it manually because gnunet-bugreport does not really work well on Guix System.

Can we get a separate bugreport for this? gnunet-bugreport is a bit basic and I was meaning to abstract it more, but this takes time

tanguy

2020-04-29 12:28

reporter   ~0015803

Hi guys!

Thanks for following up on this! Unfortunately, I haven't done anything since my last note! Sorry!

I'll try to spend some time on it at the week end, and I'll open a separate report for gnunet-bugreport.

nikita

2020-04-29 12:59

developer   ~0015806

Hi,

I think the resolution lies within the 2 bugreports I linked to this one, I'd advice to just skip the tests again for now.

tanguy

2020-05-05 09:14

reporter   ~0015853

Hi,

@schanzen, yes, my patch has been merged into guix master with all the failing tests deactivated. We now have a "working" gnunet 12.2 on Guix and I'm trying to validate (slowly, slowly) all the components to make sure it works.

@nikita, I reported the gnunet-bugreport problem (which looks like a guix system "problem") in 0006233. I'll read the 2 linked bugs and the Nix issue. Thanks for the links! So for the time being, I'll keep the failing test deactivated.

schanzen

2020-05-06 17:41

manager   ~0015862

Seems to be a TNG related issue. Moving to 0.14

tanguy

2020-07-10 15:41

reporter   ~0016439

Hi @schanzen,

I've uprgaded Guix package to 0.13.0 (I'll send the patch for integration today) and I had to disable another test to make the tests pass:
* test_testbed_api_test_timeout

Kind regards

schanzen

2020-07-10 16:07

manager   ~0016440

Last edited: 2020-07-10 16:08

Did you have to disable thsi test in addition or only this test this time? Di you have a log to look at?
Testbed is not critical, so I guess this is fine.

I am asking because there is a chance that the cadet tests now work.

tanguy

2020-07-15 11:10

reporter   ~0016451

Hi @schanzen

> Did you have to disable thsi test in addition or only this test this time?

In addition of all the tests mentioned above.

> Di you have a log to look at?

Yes…

```
FAIL: test_testbed_api_test_timeout
===================================

Jul 15 08:32:56-017816 test_testbed_api_test-19106 ERROR Assertion failed at test_testbed_api_test_timeout.c:98.
Jul 15 08:32:56-018321 ats-19248 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018322 ats-19274 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018321 ats-19236 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018345 ats-19247 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018940 ats-19271 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018943 ats-19198 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019071 ats-19228 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019124 ats-19227 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019137 ats-19194 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019456 ats-19312 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019508 ats-19221 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019651 ats-19230 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019992 ats-19181 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-021692 ats-19278 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022023 util-client-19189 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-022196 ats-19255 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022500 ats-19211 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022795 ats-19205 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-023986 ats-19290 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-023998 ats-19294 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-024072 ats-19261 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-024544 transport-api-core-19213 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-024672 ats-19269 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-025049 util-client-19200 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-025494 transport-api-core-19219 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-025964 ats-19286 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026422 ats-19324 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026638 ats-19212 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026765 ats-19316 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-027634 util-client-19241 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-028315 util-client-19265 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-031411 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031510 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031556 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031575 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031901 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031924 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031935 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031954 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032872 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032885 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032896 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032907 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032918 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032929 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032939 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032950 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032963 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
FAIL test_testbed_api_test_timeout (exit status: 1)
```

> I am asking because there is a chance that the cadet tests now work.

I'll try to run the cadet tests and I'll re-enable them in the next package update if they pass.

schanzen

2020-07-15 11:24

manager   ~0016452

Interesting. If you have the time, it would be great if you could execute the failing tests by themselves (not in make check) so that we can see what is happening.
There should also be .log files for each test with potentially more info.
I currently do not have a guix system and on my platforms the tests pass atm so I cannot reproduce.

tanguy

2020-07-15 13:53

reporter   ~0016453

>> I am asking because there is a chance that the cadet tests now work.
> I'll try to run the cadet tests and I'll re-enable them in the next package update if they pass.

They pass ! I'll submit a patch to update the package definition.


> There should also be .log files for each test with potentially more info.

It looks the same to me:

```
cat /tmp/guix-build-gnunet-0.13.1.drv-0/gnunet-0.13.1/src/testbed/test_testbed_api_test_timeout.log
Jul 15 08:32:56-017816 test_testbed_api_test-19106 ERROR Assertion failed at test_testbed_api_test_timeout.c:98.
Jul 15 08:32:56-018321 ats-19248 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018322 ats-19274 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018321 ats-19236 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018345 ats-19247 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018940 ats-19271 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-018943 ats-19198 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019071 ats-19228 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019124 ats-19227 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019137 ats-19194 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019456 ats-19312 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019508 ats-19221 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019651 ats-19230 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-019992 ats-19181 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-021692 ats-19278 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022023 util-client-19189 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-022196 ats-19255 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022500 ats-19211 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-022795 ats-19205 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-023986 ats-19290 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-023998 ats-19294 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-024072 ats-19261 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-024544 transport-api-core-19213 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-024672 ats-19269 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-025049 util-client-19200 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-025494 transport-api-core-19219 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-025964 ats-19286 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026422 ats-19324 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026638 ats-19212 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-026765 ats-19316 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
Jul 15 08:32:56-027634 util-client-19241 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-028315 util-client-19265 WARNING Error during sending message of type 344: Broken pipe
Jul 15 08:32:56-031411 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031510 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031556 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031575 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031901 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031924 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031935 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-031954 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032872 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032885 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032896 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032907 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032918 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032929 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032939 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032950 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
Jul 15 08:32:56-032963 transport-api-core-19121 ERROR Error receiving from transport service (1), disconnecting temporarily.
FAIL test_testbed_api_test_timeout (exit status: 1)
```

The failure might come from the Guix test environment, but I'm not knowledgeable enough to investigate. Sorry!

tanguy

2020-08-19 14:47

reporter   ~0016658

Hi Gnunet!

I don't know if I should have opened a new bug report for this, so I'm posting it here. Feel free to let me know if this should be in its own bug report. This being said…

In Guix, we have a working package definition for 0.13.1. I tried to update to 0.13.2, but (at least) one more test is failing:

```
[…]
make[3]: Entering directory '/tmp/guix-build-gnunet-0.13.2.drv-0/gnunet-0.13.2/src/util'
  CC test_bio.o
  CCLD test_bio
  CC test_client.o
  CCLD test_client.nc
  CCLD test_client_unix.nc
  CC test_common_allocation.o
  CCLD test_common_allocation
  CC test_common_endian.o
  CCLD test_common_endian
  CC test_common_logging.o
  CCLD test_common_logging
  CC test_configuration.o
  CCLD test_configuration
  CC test_container_bloomfilter.o
  CCLD test_container_bloomfilter
  CC test_container_dll.o
  CCLD test_container_dll
  CC test_container_meta_data.o
  CCLD test_container_meta_data
  CC test_container_multihashmap.o
  CCLD test_container_multihashmap
  CC test_container_multihashmap32.o
  CCLD test_container_multihashmap32
  CC test_container_multipeermap.o
  CCLD test_container_multipeermap
  CC test_container_heap.o
  CCLD test_container_heap
  CC test_crypto_symmetric.o
  CCLD test_crypto_symmetric
  CC test_crypto_crc.o
  CCLD test_crypto_crc
  CC test_crypto_ecdsa.o
  CCLD test_crypto_ecdsa
  CC test_crypto_eddsa.o
  CCLD test_crypto_eddsa
  CC test_crypto_ecdhe.o
  CCLD test_crypto_ecdhe
  CC test_crypto_ecdh_eddsa.o
  CCLD test_crypto_ecdh_eddsa
  CC test_crypto_ecdh_ecdsa.o
  CCLD test_crypto_ecdh_ecdsa
  CC test_crypto_ecc_dlog.o
  CCLD test_crypto_ecc_dlog
  CC test_crypto_hash.o
  CCLD test_crypto_hash
  CC test_crypto_hash_context.o
  CCLD test_crypto_hash_context
  CC test_crypto_hkdf.o
  CCLD test_crypto_hkdf
  CC test_crypto_kdf.o
  CCLD test_crypto_kdf
  CC test_crypto_paillier.o
  CCLD test_crypto_paillier
  CC test_crypto_random.o
  CCLD test_crypto_random
  CC test_crypto_rsa.o
  CCLD test_crypto_rsa
  CC test_disk.o
  CCLD test_disk
  CC test_getopt.o
  CCLD test_getopt
  CC test_hexcoder.o
  CCLD test_hexcoder
  CC test_mq.o
  CCLD test_mq
  CC test_os_network.o
  CCLD test_os_network
  CC test_peer.o
  CCLD test_peer
  CC test_plugin.o
  CCLD test_plugin
  CC test_program.o
  CCLD test_program
  CC test_regex.o
  CCLD test_regex
  CC test_resolver_api.o
  CCLD test_resolver_api.nc
  CC test_scheduler.o
  CCLD test_scheduler
  CC test_scheduler_delay.o
  CCLD test_scheduler_delay
  CC test_service.o
  CCLD test_service
  CC test_strings.o
  CCLD test_strings
  CC test_strings_to_data.o
  CCLD test_strings_to_data
  CC test_speedup.o
  CCLD test_speedup
  CC test_time.o
  CCLD test_time
  CC test_tun.o
  CCLD test_tun
  CC test_os_start_process.o
test_os_start_process.c: In function ‘run_task’:
test_os_start_process.c:127:22: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdin = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_YES,
                      ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
test_os_start_process.c:129:23: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdout = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_NO,
                       ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
test_os_start_process.c: In function ‘check_kill’:
test_os_start_process.c:205:22: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdin = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_YES,
                      ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
test_os_start_process.c:207:23: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdout = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_NO,
                       ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
test_os_start_process.c: In function ‘check_instant_kill’:
test_os_start_process.c:250:22: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdin = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_YES,
                      ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
test_os_start_process.c:252:23: error: too many arguments to function ‘GNUNET_DISK_pipe’
   hello_pipe_stdout = GNUNET_DISK_pipe (GNUNET_YES, GNUNET_YES, GNUNET_NO,
                       ^~~~~~~~~~~~~~~~
In file included from ../../src/include/gnunet_network_lib.h:72:0,
                 from ../../src/include/gnunet_scheduler_lib.h:96,
                 from ../../src/include/gnunet_mq_lib.h:38,
                 from ../../src/include/gnunet_client_lib.h:46,
                 from ../../src/include/gnunet_util_lib.h:68,
                 from test_os_start_process.c:29:
../../src/include/gnunet_disk_lib.h:429:1: note: declared here
 GNUNET_DISK_pipe (enum GNUNET_DISK_PipeFlags pf);
 ^~~~~~~~~~~~~~~~
make[3]: *** [Makefile:2362: test_os_start_process.o] Error 1
make[3]: Leaving directory '/tmp/guix-build-gnunet-0.13.2.drv-0/gnunet-0.13.2/src/util'
make[2]: *** [Makefile:3057: check-am] Error 2
make[2]: Leaving directory '/tmp/guix-build-gnunet-0.13.2.drv-0/gnunet-0.13.2/src/util'
make[1]: *** [Makefile:558: check-recursive] Error 1
make[1]: Leaving directory '/tmp/guix-build-gnunet-0.13.2.drv-0/gnunet-0.13.2/src'
make: *** [Makefile:636: check-recursive] Error 1
```

Any idea what went wrong?! Any help welcome.

schanzen

2020-08-19 16:23

manager   ~0016659

Hi. There was a change in the APIs which we did not fix for the release in the tests.
So this is expected and our fault, 0.13.3 will fix it.

tanguy

2020-08-19 17:38

reporter   ~0016663

Hi @schanzen, thanks for your answer!

So I'll skip 0.13.2 and wait for 0.13.3.

schanzen

2021-03-14 14:09

manager   ~0017623

Is this still an issue with recent versions?

Brendan

2021-05-17 08:29

reporter   ~0017860

Probably not. I have a 0.14.1 package definition ill be sending in soon that builds with only two disabled tests:

test_transport_api_https (these kinds of tests usually fail in CI environments)
test_setu_api

 FAIL: test_setu_api
===================

May 07 09:28:41-437567 util-client-12440 WARNING Error during sending message of type 1021: Broken pipe
May 07 09:28:41-437591 set-12440 INFO Destroying channel due to GNUNET_CADET_disconnect()
May 07 09:28:41-437596 setu-12440 WARNING Union operation failed
May 07 09:28:41-438776 set-12440 INFO Destroying channel due to GNUNET_CADET_disconnect()
May 07 09:28:41-438781 setu-12440 WARNING Union operation failed
May 07 09:28:41-447502 setu-12440 ERROR Bytes Transmitted: 10627
May 07 09:28:41-447511 setu-12440 ERROR Reached tradeoff bandwidth/rtt: 10627.000000
May 07 09:28:41-447515 set-12440 ERROR RTT:1.000000
FAIL test_setu_api (exit status: 1)

Brendan

2021-05-17 08:46

reporter   ~0017861

Also here is error for test_transport_api_https


May 17 06:38:46-467773 transport-https_server-5785 ERROR Failed to start transport-https_server IPv4 server component on port 12084
May 17 06:38:46-467868 transport-https_server-5785 ERROR Failed to start transport-https_server IPv6 server component on port 12084
May 17 06:38:46-467874 transport-https_server-5785 ERROR No transport-https_server server component started on port 12084
May 17 06:38:46-467998 transport-5785 ERROR Failed to load transport plugin for `libgnunet_plugin_transport_https_server'
May 17 06:39:16-247433 test_transport_api_https-5765 WARNING Testcase timed out
May 17 06:39:16-249309 ats-5786 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
FAIL test_transport_api_https (exit status: 1)

schanzen

2021-05-17 15:08

manager   ~0017866

The https tests are wonky. The setu test issue should be investigated I guess. Keeping open for now.

Brendan

2021-05-22 16:54

reporter   ~0017892

Here is another test failure, although it doesn't fail every time.
 
cat /tmp/guix-build-gnunet-0.14.1-00c2115.drv-0/source/src/testbed/test_testbed_underlay.log
May 20 20:42:55-459013 test_testbed_underlay-9591 WARNING Peers 0 and 2 should not get connected
May 20 20:42:55-461567 ats-9620 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
May 20 20:42:55-461939 ats-9624 ERROR Assertion failed at container_multipeermap.c:347. Aborting.
May 20 20:42:55-463838 transport-api-core-9616 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466559 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466716 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
May 20 20:42:55-466740 transport-api-core-9606 ERROR Error receiving from transport service (1), disconnecting temporarily.
FAIL test_testbed_underlay (exit status: 1)

Issue History

Date Modified Username Field Change
2020-03-06 10:05 tanguy New Issue
2020-03-06 10:05 tanguy File Added: 4z2sv4v1a6h8092160sq61arwyy68r-gnunet-0.12.3.drv.bz2
2020-04-24 10:32 schanzen Target Version => 0.13.0
2020-04-24 10:32 schanzen Note Added: 0015778
2020-04-29 11:59 nikita Note Added: 0015800
2020-04-29 12:00 nikita Note Edited: 0015800
2020-04-29 12:06 nikita Note Added: 0015801
2020-04-29 12:09 nikita Note Edited: 0015800
2020-04-29 12:19 nikita Relationship added related to 0005894
2020-04-29 12:20 nikita Relationship added related to 0005893
2020-04-29 12:28 tanguy Note Added: 0015803
2020-04-29 12:57 schanzen Assigned To => schanzen
2020-04-29 12:57 schanzen Status new => feedback
2020-04-29 12:59 nikita Note Added: 0015806
2020-05-05 09:14 tanguy Note Added: 0015853
2020-05-05 09:14 tanguy Status feedback => assigned
2020-05-06 17:41 schanzen Fixed in Version => 0.14.0
2020-05-06 17:41 schanzen Note Added: 0015862
2020-05-06 17:41 schanzen Assigned To schanzen =>
2020-05-06 17:42 schanzen Fixed in Version 0.14.0 =>
2020-05-06 17:42 schanzen Target Version 0.13.0 => 0.14.0
2020-05-06 17:42 schanzen Relationship added related to 0005710
2020-06-01 00:49 Adminknox Issue cloned: 0006301
2020-07-10 15:41 tanguy Note Added: 0016439
2020-07-10 16:07 schanzen Note Added: 0016440
2020-07-10 16:08 schanzen Note Edited: 0016440
2020-07-15 11:10 tanguy Note Added: 0016451
2020-07-15 11:24 schanzen Note Added: 0016452
2020-07-15 13:53 tanguy Note Added: 0016453
2020-08-14 12:01 schanzen Tag Attached: tng
2020-08-19 14:47 tanguy Note Added: 0016658
2020-08-19 16:23 schanzen Note Added: 0016659
2020-08-19 17:38 tanguy Note Added: 0016663
2020-10-28 13:06 schanzen Target Version 0.14.0 => 0.15.0
2021-03-14 14:09 schanzen Assigned To => schanzen
2021-03-14 14:09 schanzen Status assigned => feedback
2021-03-14 14:09 schanzen Note Added: 0017623
2021-03-14 14:10 schanzen Target Version 0.15.0 => 0.14.1
2021-04-05 11:25 schanzen Target Version 0.14.1 => 0.14.2
2021-05-17 08:29 Brendan Note Added: 0017860
2021-05-17 08:46 Brendan Note Added: 0017861
2021-05-17 15:08 schanzen Note Added: 0017866
2021-05-22 16:54 Brendan Note Added: 0017892
2021-06-10 19:37 schanzen Target Version 0.14.2 => 0.15.0
2021-07-31 10:58 schanzen Target Version 0.15.0 => 0.15.1